Subject: Re: [PATCH v5 2/7] clone: make it possible to specify --tags

From: Jean-Noël AVILA <[email-masked]>
Date: Wed, 05 Feb 2025 22:15:14 +0100

On Wednesday, 5 February 2025 09:03:21 UTC+1 Patrick Steinhardt wrote:
> On Tue, Feb 04, 2025 at 10:34:01PM +0100, Toon Claes wrote:
> > diff --git a/Documentation/git-clone.txt b/Documentation/git-clone.txt
> > index
> > de8d8f58930ecff305f79480b13ddce10cd96c60..e89ae2e8c664f4d4e15e5f05264c8df98
> > 8295e3d 100644 --- a/Documentation/git-clone.txt
> > +++ b/Documentation/git-clone.txt
> > @@ -273,12 +273,13 @@ corresponding `--mirror` and `--no-tags` options
> > instead.> 
> >  	branch when `--single-branch` clone was made, no remote-tracking
> >  	branch is created.
> > 
> > -`--no-tags`::
> > -	Don't clone any tags, and set
> > +`--[no-]tags`::
> > +	With `--no-tags`, no tags are cloned, and set
> > 
> >  	`remote.<remote>.tagOpt=--no-tags` in the config, ensuring
> 
> This reads a bit awkward now. How about:
> 
>     Control whether or not tags will be cloned. When `--no-tags` is
The future form is useless, as it applies to the current command run.

>     given, the option will be become permanent by setting the

"will be become permanent": I do not understand this part. If I parse it 
correctly, this a passive future perfect form, but it does not relate to the 
current state.

>     `remote.<remote>.tagOpt=--no-tags` configuration. This ensures that
>     future `git pull` and `git fetch` won't follow any tags. Subsequent
>     explicit tag fetches will still work (see linkgit:git-fetch[1]).
> 
>     By default, tags are cloned and passing `--tags` is thus typically a
>     no-op, unless it cancels out a previous `--no-tags`.
> 

If you let an empty new line followed by an indented paragraph, this creates a 
citation paragraph. What you want is to attach it, like so:

	(...)
	explicit tag fetches will still work (see linkgit:git-fetch[1]).
+
By default, tags are cloned and passing `--tags` is thus typically a
no-op, unless it cancels out a previous `--no-tags`.

JN